---
sidebar_label: CommonEventEmitter.removeAllListeners
---

# CommonEventEmitter.removeAllListeners() method

#### Signature:

```typescript
interface CommonEventEmitter {
  removeAllListeners(event?: EventType): this;
}
```

## Parameters

| Parameter | Type                                  | Description  |
| --------- | ------------------------------------- | ------------ |
| event     | [EventType](./puppeteer.eventtype.md) | _(Optional)_ |

**Returns:**

this
